# struct.h File Reference

`#include <stdint.h>`
`#include "const.h"`

## Data Structures
struct | Fenetre_Bouton_normal
struct | Fenetre_Bouton_palette
struct | Fenetre_Bouton_scroller
struct | Fenetre_Bouton_special
struct | Bouton_dropdown_choix
struct | Fenetre_Bouton_dropdown
struct | T_Drive
struct | Element_de_liste_de_fileselect
struct | T_TABLEAIDE
struct | Section_d_aide
struct | T_Degrade_Tableau
struct | T_Shade
struct | Config_Mode_video
struct | Config_Header
struct | Config_Chunk
struct | Config_Infos_touche
struct | S_Page
struct | S_Liste_de_pages
## Typedefs
typedef uint8_t | byte
typedef uint16_t | word
typedef uint32_t | dword
typedef void(* | fonction_action )(void)
typedef void(* | fonction_afficheur )(word, word, byte)
typedef byte(* | fonction_lecteur )(word, word)
typedef void(* | fonction_effaceur )(byte)
typedef void(* | fonction_display )(word, word, word)
typedef byte(* | fonction_effet )(word, word, byte)
typedef void(* | fonction_block )(word, word, word, word, byte)
typedef byte(* | fonction_test_sign )(void)
typedef void(* | fonction_Ligne_XOR )(word, word, word)
typedef void(* | fonction_display_brush_Color )(word, word, word, word, word, word, byte, word)
typedef void(* | fonction_display_brush_Mono )(word, word, word, word, word, word, byte, byte, word)
typedef void(* | fonction_degrade )(long, short, short)
typedef void(* | fonction_remap )(word, word, word, word, byte *)
typedef void(* | fonction_procsline )(word, word, word, byte *)
typedef void(* | fonction_display_zoom )(word, word, word, byte *)
typedef void(* | fonction_display_brush_Color_zoom )(word, word, word, word, word, word, byte, word, byte *)
typedef void(* | fonction_display_brush_Mono_zoom )(word, word, word, word, word, word, byte, byte, word, byte *)
typedef void(* | fonction_affiche_brosse )(byte *, word, word, word, word, word, word, byte, word)
typedef struct Composantes | T_Palette [256]
## Functions
struct | __attribute__ ((__packed__)) Composantes
## Variables
struct T_Degrade_Tableau | __packed__

## Typedef Documentation

typedef uint8_t byte

typedef uint16_t word

typedef uint32_t dword

typedef void(* fonction_action)(void)

typedef void(* fonction_afficheur)(word, word, byte)

typedef byte(* fonction_lecteur)(word, word)

typedef void(* fonction_effaceur)(byte)

typedef void(* fonction_display)(word, word, word)

typedef byte(* fonction_effet)(word, word, byte)

typedef void(* fonction_block)(word, word, word, word, byte)

typedef byte(* fonction_test_sign)(void)

typedef void(* fonction_Ligne_XOR)(word, word, word)

typedef void(* fonction_display_brush_Color)(word, word, word, word, word, word, byte, word)

typedef void(* fonction_display_brush_Mono)(word, word, word, word, word, word, byte, byte, word)

typedef void(* fonction_degrade)(long, short, short)

typedef void(* fonction_remap)(word, word, word, word, byte *)

typedef void(* fonction_procsline)(word, word, word, byte *)

typedef void(* fonction_display_zoom)(word, word, word, byte *)

typedef void(* fonction_display_brush_Color_zoom)(word, word, word, word, word, word, byte, word, byte *)

typedef void(* fonction_display_brush_Mono_zoom)(word, word, word, word, word, word, byte, byte, word, byte *)

typedef void(* fonction_affiche_brosse)(byte *, word, word, word, word, word, word, byte, word)

typedef struct Composantes T_Palette[256]

## Function Documentation

struct __attribute__ | ( | (__packed__) |  | ) | `[read]`

## Variable Documentation

struct Config_Infos_touche __packed__